/// @addtogroup vectalg
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file vectalglib.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file constitutes a part of the CAPD library, 
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details. 


#ifndef _CAPD_VECTALG_VECTALGLIB_H_ 
#define _CAPD_VECTALG_VECTALGLIB_H_ 

double power(int val,int ile);
// necessary for the Borland compiler
#include <math.h>
inline int sqrt(int x)
{
   return ::sqrt(x);
}

#include "capd/interval/doubleInterval.h"

#include "capd/vectalg/dimension.h"
#include "capd/vectalg/Vector.h"
#include "capd/vectalg/Matrix.h"
#include "capd/vectalg/Norm.h"
#include "capd/matrixAlgorithms/floatMatrixAlgorithms.hpp"
#include "capd/matrixAlgorithms/intMatrixAlgorithms.hpp"

typedef chomp::vectalg::Vector<int,DIM> ZVector;
typedef chomp::vectalg::Vector<double,DIM> DVector;
typedef chomp::vectalg::Vector<interval,DIM> IVector;

typedef chomp::vectalg::Matrix<double,DIM,DIM> DMatrix;
typedef chomp::vectalg::Matrix<interval,DIM,DIM> IMatrix;

typedef chomp::vectalg::Norm<IVector,IMatrix> Norm;
typedef chomp::vectalg::EuclNorm<IVector,IMatrix> EuclNorm;
typedef chomp::vectalg::MaxNorm<IVector,IMatrix> MaxNorm;
typedef chomp::vectalg::SumNorm<IVector,IMatrix> SumNorm;
typedef chomp::vectalg::EuclLNorm<IVector,IMatrix> EuclLNorm;
typedef chomp::vectalg::MaxLNorm<IVector,IMatrix> MaxLNorm;
typedef chomp::vectalg::SumLNorm<IVector,IMatrix> SumLNorm;

#endif // _CAPD_VECTALG_VECTALGLIB_H_ 

/// @}
